AppletViewerPanelAccess (IcedTea-Web: Plugin )
Keywords: sun.applet.AppletViewerPanelAccess class
Date: 2015-04-30

sun.applet

## Class AppletViewerPanelAccess

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - sun.applet.AppletPanel
        - - sun.applet.AppletViewerPanel
          - - sun.applet.AppletViewerPanelAccess

- All Implemented Interfaces:
    java.applet.AppletStub, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible

      public abstract class AppletViewerPanelAccess
      extends sun.applet.AppletViewerPanel

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `java.awt.Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class sun.applet.AppletViewerPanel

      `atts, baseURL, debug, documentURL`

    - ### Fields inherited from class sun.applet.AppletPanel

      `applet, APPLET_DESTROY, APPLET_DISPOSE, APPLET_ERROR, APPLET_INIT, APPLET_LOAD, APPLET_LOADING, APPLET_LOADING_COMPLETED, APPLET_QUIT, APPLET_RESIZE, APPLET_START, APPLET_STOP, doInit, handler, loader, status`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletViewerPanelAccess(java.net.URL documentURL, java.util.Map<java.lang.String,java.lang.String> atts)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createAppletThread()`
    `java.applet.AppletContext` | `getAppletContext()`
    `protected java.net.URL` | `getBaseURL()`
    `protected java.net.URL` | `getDocumentURL()`
    `protected abstract void` | `ourRunLoader()`
    `void` | `run()`
    `protected void` | `setApplet(java.applet.Applet iapplet)`

    - ### Methods inherited from class sun.applet.AppletViewerPanel

      `debug, debug, getCode, getCodeBase, getDocumentBase, getHeight, getJarFiles, getParameter, getSerializedObject, getWidth, hasInitialFocus`

    - ### Methods inherited from class sun.applet.AppletPanel

      `addAppletListener, appletResize, changeFrameAppContext, clearLoadAbortRequest, createApplet, createClassLoader, dispatchAppletEvent, flushClassLoader, flushClassLoaders, getApplet, getAppletHandlerThread, getAppletHeight, getAppletWidth, getClassLoaderCacheKey, getNextEvent, init, isActive, isJDK11Applet, isJDK12Applet, loadJarFiles, minimumSize, okToLoad, preferredSize, removeAppletListener, runLoader, sendEvent, setBounds, setLoadAbortRequest, setupAppletAppContext, showAppletException, showAppletLog, showAppletLog, showAppletStatus, showAppletStatus, showAppletStatus, stopLoading`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, paint, paintComponents, paramString, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppletViewerPanelAccess

          public AppletViewerPanelAccess(java.net.URL documentURL,
                                 java.util.Map<java.lang.String,java.lang.String> atts)

  - ### Method Detail

    - #### getDocumentURL

          protected java.net.URL getDocumentURL()

    - #### setApplet

          protected void setApplet(java.applet.Applet iapplet)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `sun.applet.AppletPanel`

    - #### getAppletContext

          public java.applet.AppletContext getAppletContext()

      Specified by:
        `getAppletContext` in interface `java.applet.AppletStub`
      Overrides:
        `getAppletContext` in class `sun.applet.AppletViewerPanel`

    - #### getBaseURL

          protected java.net.URL getBaseURL()

    - #### createAppletThread

          protected void createAppletThread()

      Overrides:
        `createAppletThread` in class `sun.applet.AppletPanel`

    - #### ourRunLoader

          protected abstract void ourRunLoader()

Submit a bug or feature